Skip to main content
PUT
/
v1
/
w3s
/
wallets
/
{id}
Update a wallet
curl --request PUT \
  --url https://api.circle.com/v1/w3s/wallets/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "my wallet",
  "refId": "customer_12345"
}
'
import requests

url = "https://api.circle.com/v1/w3s/wallets/{id}"

payload = {
    "name": "my wallet",
    "refId": "customer_12345"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({name: 'my wallet', refId: 'customer_12345'})
};

fetch('https://api.circle.com/v1/w3s/wallets/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "wallet": {
      "id": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
      "address": "0xca9142d0b9804ef5e239d3bc1c7aa0d1c74e7350",
      "blockchain": "MATIC-AMOY",
      "createDate": "2023-01-01T12:04:05Z",
      "updateDate": "2023-01-01T12:04:05Z",
      "state": "LIVE",
      "walletSetId": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
      "accountType": "EOA",
      "name": "<string>",
      "refId": "customer_12345",
      "userId": "ext_user_id_1",
      "initialPublicKey": "3eQoJ3ex6uWX3R8F1THF6Y6oBQwPYpF1X9HBM1gjqw7w"
    }
  }
}
{
  "code": 400,
  "message": "Bad request."
}
{
  "code": 401,
  "message": "Malformed authorization."
}
{
  "code": 404,
  "message": "Not found."
}

Authorizations

Authorization
string
header
required

Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are required to make a successful request.

Headers

X-Request-Id
string<uuid>

Developer-provided identifier for this request, used for tracing requests in Wallets API logs and the Developer Console, and when communicating with Circle Support. Must be a UUID to appear in logs. Non-UUID values are accepted by the API but are ignored by logging and tracing systems.

A unique identifier, which can be helpful for identifying a request when communicating with Circle support.

Example:

"2adba88e-9d63-44bc-b975-9b6ae3440dde"

Path Parameters

id
string<uuid>
required

The universally unique identifier of the resource.

Example:

"b3d9d2d5-4c12-4946-a09d-953e82fae2b0"

Body

application/json

Schema for the request payload to update an existing wallet.

name
string

Name or description associated with the wallet or walletSet.

Example:

"my wallet"

refId
string

Optional user-defined reference identifier for the wallet. Not used by Circle for wallet functionality. Used for internal tracking or associating wallets with entities in your own systems (for example, a customer or account ID).

Example:

"customer_12345"

Response

Successfully updated wallet metadata.

data
object
required